Scala Compiler2.13.0 < Back


# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package ast
  Definition Classes
    nsc
-  abstract class TreeBrowsers extends AnyRef

  Tree browsers can show the AST in a graphical and interactive way, useful for debugging and understanding.

  Tree browsers can show the AST in a graphical and interactive way, useful for debugging and understanding.

  Definition Classes
    ast
  Version

    1.0

- ASTTreeModel
- BrowserFrame
- ProgramTree
- SwingBrowser
- TextInfoPanel
- TreeInfo
- TypePrinter
- UnitTree

c

scala.tools.nsc.ast.TreeBrowsers

# ASTTreeModel

###

#### class ASTTreeModel extends TreeModel

Tree model for abstract syntax trees

Source
  TreeBrowsers.scala

Linear Supertypes
TreeModel, AnyRef, Any
Type Hierarchy

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. ASTTreeModel
2. TreeModel
3. AnyRef
4. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new ASTTreeModel(program: Global.Tree)

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from ASTTreeModel toany2stringadd[ASTTreeModel] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (ASTTreeModel, B)
   Implicit
     This member is added by an implicit conversion from ASTTreeModel toArrowAssoc[ASTTreeModel] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  def addTreeModelListener(l: TreeModelListener): Unit

   Add a listener to this tree

   Add a listener to this tree

   Definition Classes
     ASTTreeModel → TreeModel
7.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
8.  def clone(): AnyRef
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
9.  def ensuring(cond: (ASTTreeModel) => Boolean, msg: => Any): ASTTreeModel
   Implicit
     This member is added by an implicit conversion from ASTTreeModel toEnsuring[ASTTreeModel] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring
10.  def ensuring(cond: (ASTTreeModel) => Boolean): ASTTreeModel
    Implicit
      This member is added by an implicit conversion from ASTTreeModel toEnsuring[ASTTreeModel] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
11.  def ensuring(cond: Boolean, msg: => Any): ASTTreeModel
    Implicit
      This member is added by an implicit conversion from ASTTreeModel toEnsuring[ASTTreeModel] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
12.  def ensuring(cond: Boolean): ASTTreeModel
    Implicit
      This member is added by an implicit conversion from ASTTreeModel toEnsuring[ASTTreeModel] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
13.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
14.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
15.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
16.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from ASTTreeModel toStringFormat[ASTTreeModel] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
17.  def getChild(parent: AnyRef, index: Int): AnyRef

    Return the index'th child of parent

    Return the index'th child of parent

    Definition Classes
      ASTTreeModel → TreeModel
18.  def getChildCount(parent: AnyRef): Int

    Return the number of children this 'parent' has

    Return the number of children this 'parent' has

    Definition Classes
      ASTTreeModel → TreeModel
19.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
20.  def getIndexOfChild(parent: AnyRef, child: AnyRef): Int

    Return the index of the given child

    Return the index of the given child

    Definition Classes
      ASTTreeModel → TreeModel
21.  def getRoot(): AnyRef

    Return the root node

    Return the root node

    Definition Classes
      ASTTreeModel → TreeModel
22.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
23.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
24.  def isLeaf(node: AnyRef): Boolean

    Test whether the given node is a leaf

    Test whether the given node is a leaf

    Definition Classes
      ASTTreeModel → TreeModel
25.  var listeners: List[TreeModelListener]
26.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
27.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
28.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
29.  def packChildren(t: AnyRef): List[AnyRef]

    Return a list of children for the given node.

30.  val program: Global.Tree
31.  def removeTreeModelListener(l: TreeModelListener): Unit
    Definition Classes
      ASTTreeModel → TreeModel
32.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
33.  def toString(): String
    Definition Classes
      AnyRef → Any
34.  def valueForPathChanged(path: TreePath, newValue: AnyRef): Unit

    we ignore this message for now

    we ignore this message for now

    Definition Classes
      ASTTreeModel → TreeModel
35.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
36.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
37.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Deprecated Value Members

1.  def →[B](y: B): (ASTTreeModel, B)
   Implicit
     This member is added by an implicit conversion from ASTTreeModel toArrowAssoc[ASTTreeModel] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @deprecated
   Deprecated

     (Since version 2.13.0) Use `->` instead. If you still wish to display it as one character, consider using a font with programming ligatures such as Fira Code.

### Inherited from TreeModel

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd fromASTTreeModel to any2stringadd[ASTTreeModel]

### Inherited by implicit conversion StringFormat fromASTTreeModel to StringFormat[ASTTreeModel]

### Inherited by implicit conversion Ensuring fromASTTreeModel to Ensuring[ASTTreeModel]

### Inherited by implicit conversion ArrowAssoc fromASTTreeModel to ArrowAssoc[ASTTreeModel]

### Ungrouped